//$$ newmatap.hxx         definition file for matrix package applications

// Copyright (C) 1991: R B Davies and DSIR

#ifndef MATRIXAP_LIB
#define MATRIXAP_LIB 0

#include "newmat.hxx"


/**************************** applications *****************************/

void HHDecompose(Matrix&, LowerTriangularMatrix&);

void HHDecompose(const Matrix&, Matrix&, Matrix&);

LowerTriangularMatrix Cholesky(const SymmetricMatrix&);

void SVD(const Matrix&, DiagonalMatrix&, Matrix&, Matrix&, BOOL, BOOL);


#endif
